<?php
header('Content-Type: application/json');
include_once '../config/database.php';

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$database = new Database();
$db = $database->getConnection();

$device_id = $_POST['device_id'] ?? null;
$app_id = $_POST['app_id'] ?? null;
$status = $_POST['status'] ?? 0;

if (!$device_id || !$app_id) {
    echo json_encode(["status" => false, "message" => "Parmetros invlidos"]);
    exit;
}

try {
    $db->beginTransaction();

    // Verifica se j existe registro
    $check_query = "SELECT id FROM device_apps 
                   WHERE device_id = :device_id AND app_id = :app_id";
    $check_stmt = $db->prepare($check_query);
    $check_stmt->bindParam(":device_id", $device_id);
    $check_stmt->bindParam(":app_id", $app_id);
    $check_stmt->execute();
    
    if ($check_stmt->rowCount() > 0) {
        // Atualiza status
        $query = "UPDATE device_apps 
                 SET status = :status, updated_at = CURRENT_TIMESTAMP 
                 WHERE device_id = :device_id AND app_id = :app_id";
    } else {
        // Insere novo registro
        $query = "INSERT INTO device_apps (device_id, app_id, status) 
                 VALUES (:device_id, :app_id, :status)";
    }
    
    $stmt = $db->prepare($query);
    $stmt->bindParam(":device_id", $device_id);
    $stmt->bindParam(":app_id", $app_id);
    $stmt->bindParam(":status", $status);
    
    $result = $stmt->execute();
    
    if ($result) {
        $db->commit();
        echo json_encode(["status" => true]);
    } else {
        $db->rollBack();
        echo json_encode(["status" => false, "message" => "Erro ao salvar"]);
    }
    
} catch(PDOException $e) {
    $db->rollBack();
    echo json_encode([
        "status" => false,
        "message" => $e->getMessage()
    ]);
}
?>