<?php
header('Content-Type: application/json');
require_once '../config.php';

$appsManager = new AppsManager($pdo);
$baseUrl = 'http://' . $_SERVER['SERVER_ADDR'] . '/launcher/uploads/';

try {
    $apps = $appsManager->getApps();
    
    // Adiciona a URL completa para cada app
    foreach($apps as &$app) {
        $app['icone_url'] = "$baseUrl" . $app['icone'];
    }
    
    echo json_encode([
        'status' => 'success',
        'data' => $apps
    ]);
} catch(Exception $e) {
    echo json_encode([
        'status' => 'error',
        'message' => $e->getMessage()
    ]);
}