<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

header('Content-Type: application/json');

require_once '../config.php'; // Certifique-se de que este arquivo está no caminho correto e configurado corretamente

$action = $_POST['action'] ?? '';

if ($action == 'verificar_senha') {
    try {
        $senha_informada = $_POST['senha'] ?? '';
        
        // Log para debug
        error_log("Verificando senha: " . $senha_informada);

        // Alterado para usar a tabela correta
        $stmt = $pdo->query("SELECT senha_admin FROM block_configuracoes LIMIT 1");
        $config = $stmt->fetch(PDO::FETCH_ASSOC);

        if (!$config) {
            echo json_encode([
                'status' => 'error',
                'message' => 'Configuração não encontrada',
                'valid' => false
            ]);
            exit;
        }

        $senha_valida = $senha_informada === $config['senha_admin'];

        echo json_encode([
            'status' => 'success',
            'valid' => $senha_valida
        ]);
    } catch (Exception $e) {
        error_log("Erro ao verificar senha: " . $e->getMessage());
        echo json_encode([
            'status' => 'error',
            'message' => $e->getMessage(),
            'valid' => false
        ]);
    }
    exit;
}

$action = 'get_bloqueios'; // Definido manualmente para teste
error_log("Valor de action recebido: " . $action); // Log para depuração

if ($action == 'get_bloqueios') {
    try {
        $stmt = $pdo->query("SELECT bloquear_configs, bloquear_apps_sistema FROM block_configuracoes LIMIT 1");
        $config = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($config) {
            echo json_encode([
                'status' => 'success',
                'data' => [
                    'bloquear_configs' => (bool) $config['bloquear_configs'],
                    'bloquear_apps_sistema' => (bool) $config['bloquear_apps_sistema']
                ]
            ]);
        } else {
            echo json_encode([
                'status' => 'success',
                'data' => [
                    'bloquear_configs' => true,
                    'bloquear_apps_sistema' => true
                ]
            ]);
        }
    } catch (Exception $e) {
        error_log("Erro ao buscar bloqueios: " . $e->getMessage());
        echo json_encode([
            'status' => 'error',
            'message' => $e->getMessage()
        ]);
    }
    exit;
}

echo json_encode([
    'status' => 'error',
    'message' => 'Ação não especificada ou inválida'
]);
