<?php
class AppsManager {
    private $pdo;
    
    public function __construct($pdo) {
        $this->pdo = $pdo;
    }
    
    public function addApp($nome, $pacote, $categoria, $icone, $ordem) {
        $sql = "INSERT INTO apps (nome, pacote, categoria, icone, ordem, status) 
                VALUES (:nome, :pacote, :categoria, :icone, :ordem, 1)";
        $stmt = $this->pdo->prepare($sql);
        return $stmt->execute([
            ':nome' => $nome,
            ':pacote' => $pacote,
            ':categoria' => $categoria,
            ':icone' => $icone,
            ':ordem' => $ordem
        ]);
    }
    
    public function updateApp($id, $nome, $pacote, $categoria, $icone, $ordem) {
        $sql = "UPDATE apps SET 
                nome = :nome,
                pacote = :pacote,
                categoria = :categoria,
                icone = :icone,
                ordem = :ordem
                WHERE id = :id";
        $stmt = $this->pdo->prepare($sql);
        return $stmt->execute([
            ':id' => $id,
            ':nome' => $nome,
            ':pacote' => $pacote,
            ':categoria' => $categoria,
            ':icone' => $icone,
            ':ordem' => $ordem
        ]);
    }
    
    public function deleteApp($id) {
        $sql = "UPDATE apps SET status = 0 WHERE id = :id";
        $stmt = $this->pdo->prepare($sql);
        return $stmt->execute([':id' => $id]);
    }
    
    public function getApps() {
        $sql = "SELECT * FROM apps WHERE status = 1 ORDER BY ordem";
        $stmt = $this->pdo->query($sql);
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function getApp($id) {
        $sql = "SELECT * FROM apps WHERE id = :id AND status = 1";
        $stmt = $this->pdo->prepare($sql);
        $stmt->execute([':id' => $id]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }
}