<?php
class BannerManager {
    private $pdo;
    
    public function __construct($pdo) {
        $this->pdo = $pdo;
    }
    
    public function addBanner($titulo, $imagem, $link, $ordem) {
        $sql = "INSERT INTO banners (titulo, imagem, link, ordem, status) 
                VALUES (:titulo, :imagem, :link, :ordem, 1)";
        $stmt = $this->pdo->prepare($sql);
        return $stmt->execute([
            ':titulo' => $titulo,
            ':imagem' => $imagem,
            ':link' => $link,
            ':ordem' => $ordem
        ]);
    }
    
    public function getBanners() {
        $sql = "SELECT * FROM banners WHERE status = 1 ORDER BY ordem";
        return $this->pdo->query($sql)->fetchAll();
    }
    
    public function updateBanner($id, $titulo, $imagem, $link, $ordem) {
        $sql = "UPDATE banners SET 
                titulo = :titulo,
                imagem = :imagem,
                link = :link,
                ordem = :ordem
                WHERE id = :id";
        $stmt = $this->pdo->prepare($sql);
        return $stmt->execute([
            ':id' => $id,
            ':titulo' => $titulo,
            ':imagem' => $imagem,
            ':link' => $link,
            ':ordem' => $ordem
        ]);
    }
    
    public function deleteBanner($id) {
        $sql = "UPDATE banners SET status = 0 WHERE id = :id";
        $stmt = $this->pdo->prepare($sql);
        return $stmt->execute([':id' => $id]);
    }
}


// class BannerManager {
//     private $pdo;
    
//     public function __construct($pdo) {
//         $this->pdo = $pdo;
//     }
    
//     public function addBanner($imagem) {
//         $sql = "INSERT INTO banners (imagem, status) VALUES (:imagem, 1)";
//         $stmt = $this->pdo->prepare($sql);
//         return $stmt->execute([':imagem' => $imagem]);
//     }
    
//     public function getBanners() {
//         $sql = "SELECT * FROM banners WHERE status = 1 ORDER BY id";
//         return $this->pdo->query($sql)->fetchAll();
//     }
    
//     public function deleteBanner($id) {
//         $sql = "UPDATE banners SET status = 0 WHERE id = :id";
//         $stmt = $this->pdo->prepare($sql);
//         return $stmt->execute([':id' => $id]);
//     }
// }