<?php
header('Content-Type: application/json');

try {
    if (!isset($_POST['filename'])) {
        throw new Exception('Nome do arquivo não fornecido');
    }

    $filename = $_POST['filename'];
    $filepath = 'updates/' . $filename;

    // Validações de segurança
    if (strpos($filename, '..') !== false || strpos($filename, '/') !== false) {
        throw new Exception('Nome de arquivo inválido');
    }

    if (!file_exists($filepath)) {
        throw new Exception('Arquivo não encontrado');
    }

    if (unlink($filepath)) {
        echo json_encode([
            'success' => true,
            'message' => 'Arquivo excluído com sucesso'
        ]);
    } else {
        throw new Exception('Erro ao excluir arquivo');
    }

} catch (Exception $e) {
    echo json_encode([
        'success' => false,
        'message' => $e->getMessage()
    ]);
}