<?php
require_once 'config.php';
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$configManager = new ConfigManager($pdo);
$appsManager = new AppsManager($pdo);


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';

    switch ($action) {
        case 'add':
            // Adiciona um novo app
            try {
                $nome = $_POST['nome'] ?? '';
                $pacote = $_POST['pacote'] ?? '';
                $categoria = $_POST['categoria'] ?? 'utilidades';
                $ordem = $_POST['ordem'] ?? 0;

                // Define o nome do ícone com base no nome do app
                $icone = '';
                if (isset($_FILES['icone']) && $_FILES['icone']['error'] === 0) {
                    $iconeFileName = strtolower(str_replace(' ', '_', $nome)) . '.png';
                    $iconePath = 'uploads/' . $iconeFileName;

                    // Move o arquivo enviado para o caminho com o nome especificado
                    if (move_uploaded_file($_FILES['icone']['tmp_name'], $iconePath)) {
                        $icone = $iconeFileName; // Define o nome do arquivo para salvar no banco de dados
                    } else {
                        throw new Exception("Erro ao mover o arquivo de ícone.");
                    }
                }

                // Salva o novo app no banco de dados com o nome do ícone atualizado
                $appsManager->addApp($nome, $pacote, $categoria, $ordem, $icone);
                header('Location: index.php?success=add');
                exit;
            } catch (Exception $e) {
                header('Location: index.php?error=' . urlencode($e->getMessage()));
                exit;
            }
            break;

        case 'update_config':
            // Atualiza a configuração
            // (aqui mantemos a lógica anterior, sem mudanças)
            break;

        case 'delete':
            // Exclui um app existente
            $id = $_POST['id'] ?? null;
            if ($id) {
                $appsManager->deleteApp($id);
                header('Location: index.php?success=delete');
                exit;
            } else {
                header('Location: index.php?error=invalid_id');
                exit;
            }
            break;
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';
    
    switch($action) {
        case 'update_config':
            try {
                $updateData = [
                    'qr_code_texto' => $_POST['qr_code_texto'] ?? '',
                    'cor_primaria' => $_POST['cor_primaria'] ?? '#0066CC',
                    'cor_secundaria' => $_POST['cor_secundaria'] ?? '#003399',
                    'texto_superior' => $_POST['texto_superior'] ?? ''
                ];

                // Função para verificar se é PNG
                function isPNG($file) {
                    $info = getimagesize($file['tmp_name']);
                    return $info !== false && $info['mime'] === 'image/png';
                }

                // Processa logo
                if(isset($_FILES['logo']) && $_FILES['logo']['error'] === 0) {
                    if(!isPNG($_FILES['logo'])) {
                        throw new Exception('Logo deve ser uma imagem PNG');
                    }
                    
                    // Remove arquivo antigo se existir
                    if(file_exists('uploads/logo.png')) {
                        unlink('uploads/logo.png');
                    }
                    
                    move_uploaded_file($_FILES['logo']['tmp_name'], 'uploads/logo.png');
                    $updateData['logo'] = 'logo.png';
                }
                
                // Processa background
                if(isset($_FILES['background']) && $_FILES['background']['error'] === 0) {
                    if(!isPNG($_FILES['background'])) {
                        throw new Exception('Background deve ser uma imagem PNG');
                    }
                    
                    if(file_exists('uploads/background.png')) {
                        unlink('uploads/background.png');
                    }
                    
                    move_uploaded_file($_FILES['background']['tmp_name'], 'uploads/background.png');
                    $updateData['background'] = 'background.png';
                }
                
                // Processa QR Code
                if(isset($_FILES['qr_code']) && $_FILES['qr_code']['error'] === 0) {
                    if(!isPNG($_FILES['qr_code'])) {
                        throw new Exception('QR Code deve ser uma imagem PNG');
                    }
                    
                    if(file_exists('uploads/qrcode.png')) {
                        unlink('uploads/qrcode.png');
                    }
                    
                    move_uploaded_file($_FILES['qr_code']['tmp_name'], 'uploads/qrcode.png');
                    $updateData['qr_code'] = 'qrcode.png';
                }

                $result = $configManager->updateConfiguracoes($updateData);
                
                if ($result) {
                    header('Location: configuracoes.php?success=1');
                } else {
                    header('Location: configuracoes.php?error=Falha ao atualizar configurações');
                }
            } catch (Exception $e) {
                header('Location: configuracoes.php?error=' . urlencode($e->getMessage()));
            }
            break;
    }
}
?>
