<?php
header('Content-Type: application/json');
include_once 'config/database.php';

try {
    $database = new Database();
    $db = $database->getConnection();

    $device_id = isset($_POST['device_id']) ? $_POST['device_id'] : null;
    $app_id = isset($_POST['app_id']) ? $_POST['app_id'] : null;
    $status = isset($_POST['status']) ? $_POST['status'] : null;

    if (!$device_id || !$app_id || $status === null) {
        throw new Exception("Parmetros invlidos");
    }

    // Verifica se j existe um registro
    $check_query = "SELECT id FROM device_apps 
                   WHERE device_id = :device_id AND app_id = :app_id";
    $check_stmt = $db->prepare($check_query);
    $check_stmt->bindParam(":device_id", $device_id);
    $check_stmt->bindParam(":app_id", $app_id);
    $check_stmt->execute();

    if ($check_stmt->rowCount() > 0) {
        // Atualiza o registro existente
        $query = "UPDATE device_apps 
                 SET status = :status, updated_at = CURRENT_TIMESTAMP 
                 WHERE device_id = :device_id AND app_id = :app_id";
    } else {
        // Insere novo registro
        $query = "INSERT INTO device_apps (device_id, app_id, status) 
                 VALUES (:device_id, :app_id, :status)";
    }

    $stmt = $db->prepare($query);
    $stmt->bindParam(":device_id", $device_id);
    $stmt->bindParam(":app_id", $app_id);
    $stmt->bindParam(":status", $status);

    if ($stmt->execute()) {
        echo json_encode(["status" => true, "message" => "Status atualizado com sucesso"]);
    } else {
        echo json_encode(["status" => false, "message" => "Erro ao atualizar status"]);
    }

} catch (Exception $e) {
    echo json_encode([
        "status" => false,
        "message" => "Erro: " . $e->getMessage()
    ]);
}
?>