<?php
header('Content-Type: application/json');
include_once 'config/database.php';

try {
    if (!isset($_POST['id']) || !isset($_POST['status'])) {
        throw new Exception("Dados incompletos");
    }

    $database = new Database();
    $db = $database->getConnection();

    $query = "UPDATE launcher_updates SET status = :status WHERE id = :id";
    $stmt = $db->prepare($query);
    
    $stmt->bindParam(":id", $_POST['id']);
    $stmt->bindParam(":status", $_POST['status']);

    if ($stmt->execute()) {
        echo json_encode(["status" => true]);
    } else {
        throw new Exception("Erro ao atualizar status");
    }

} catch(Exception $e) {
    echo json_encode([
        "status" => false,
        "message" => $e->getMessage()
    ]);
}
?>