<?php
require_once 'session_check.php';
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

?>
<!DOCTYPE html>
<html lang="pt-BR">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Painel Administrativo - TV Box Launcher</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .progress {
            width: 100%;
            height: 30px;
            background: #f0f0f0;
            margin: 15px 0;
            border-radius: 4px;
        }

        .progress-bar {
            width: 0%;
            height: 100%;
            background: #4CAF50;
            text-align: center;
            line-height: 30px;
            color: white;
            border-radius: 4px;
            transition: width 0.3s ease;
        }

        #status {
            margin-top: 10px;
            padding: 10px;
            border-radius: 4px;
        }

        .success {
            background: #dff0d8;
            color: #3c763d;
        }

        .error {
            background: #f2dede;
            color: #a94442;
        }

        /* Adicione estes estilos */
        .uploaded-files {
            margin-top: 30px;
        }

        .btn-delete {
            background: #f44336;
            color: white;
        }

        table {
            border-collapse: collapse;
            width: 100%;
        }

        th,
        td {
            padding: 8px;
            text-align: left;
            border: 1px solid #ddd;
        }

        th {
            background-color: #f5f5f5;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
        }
    </style>
</head>

<body>
    <!--- Incluimos o menu navega��o --->
    <?php include('nav_bar.php'); ?>


    <div class="container mt-4">

        <?php if (isset($_GET['success'])): ?>
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                Opera��o realizada com sucesso!
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <?php endif; ?>

        <?php if (isset($_GET['error'])): ?>
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                Erro: <?= htmlspecialchars($_GET['error']) ?>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <?php endif; ?>

        <!-- Formul�rio de Adicionar -->
        <div class="card mb-4">
            <div class="card-header">
                <h5 class="card-title mb-0" style="text-align: center; color: blue;">Adicionar updates</h5>
            </div>
            <div class="container mt-4">
                <small class="form-text text-muted">Selecione seu apk para upload.</small><br>
                <form id="uploadForm" method="post" enctype="multipart/form-data">
                    <input type="file" name="apk_file" accept=".apk" required>
                    <button type="button" class="btn btn-primary" onclick="uploadAPK()">Upload</button>
                </form>

                <div class="progress">
                    <div id="progressBar" class="progress-bar">0%</div>
                </div>
                <div id="status"></div>

                <div class="uploaded-files">
                    <div class="card-header">
                        <h5 style="text-align: center; color: blue;">Versões</h5>
                    </div>
                    <table border="1" style="width: 100%;">
                        <thead>
                            <tr>
                                <th>Versões</th>
                                <th>Tamanho</th>
                                <th>Data Upload</th>
                                <th>Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $apks_dir = 'updates/';
                            if (is_dir($apks_dir)) {
                                $files = glob($apks_dir . '*.apk');
                                foreach ($files as $file) {
                                    $name = basename($file);
                                    $size = round(filesize($file) / (1024 * 1024), 2); // Tamanho em MB
                                    $date = date("d/m/Y H:i:s", filemtime($file));
                                    echo "<tr>";
                                    echo "<td>$name</td>";
                                    echo "<td>{$size}MB</td>";
                                    echo "<td>$date</td>";
                                    echo "<td>
                                    <a href='#' onclick='deleteApk(\"$name\")' class='btn btn-danger btn-delete'>Excluir</a>
                                    </td>";
                                    echo "</tr>";
                                }
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>

<br>        
</div>
    </div>


    <!-- Modal de Confirma��o de Exclus�o -->
    <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="deleteModalLabel">Confirmar Exclus�o</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    Tem certeza de que deseja excluir este app?
                </div>
                <div class="modal-footer">
                    <form action="index.php" method="POST" id="deleteForm">
                        <input type="hidden" name="action" value="delete">
                        <input type="hidden" name="id" id="delete_id">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-danger">Confirmar Exclus�o</button>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        function uploadAPK() {
            const form = document.getElementById('uploadForm');
            const fileInput = form.querySelector('input[type="file"]');
            const progressBar = document.getElementById('progressBar');
            const status = document.getElementById('status');

            // Resetar status
            status.className = '';
            status.textContent = '';
            progressBar.style.width = '0%';
            progressBar.textContent = '0%';

            // Verificar arquivo
            if (!fileInput.files.length) {
                status.className = 'error';
                status.textContent = 'Selecione um arquivo APK';
                return;
            }

            const file = fileInput.files[0];

            // Verificar extens�o
            if (!file.name.toLowerCase().endsWith('.apk')) {
                status.className = 'error';
                status.textContent = 'Arquivo deve ser um APK';
                return;
            }

            const formData = new FormData(form);

            const xhr = new XMLHttpRequest();
            xhr.open('POST', 'processupdate.php', true);

            // Progresso do upload
            xhr.upload.onprogress = function(e) {
                if (e.lengthComputable) {
                    const percent = (e.loaded / e.total) * 100;
                    progressBar.style.width = percent + '%';
                    progressBar.textContent = Math.round(percent) + '%';
                }
            };

            // Resposta do servidor
            xhr.onload = function() {
                try {
                    const response = JSON.parse(xhr.responseText);
                    status.className = response.success ? 'success' : 'error';
                    status.textContent = response.message;

                    if (response.success) {
                        form.reset();
                        progressBar.style.width = '100%';
                        progressBar.textContent = 'Completo!';
                        // Recarrega a p�gina para atualizar a lista
                        setTimeout(() => location.reload(), 1000);
                    }
                } catch (e) {
                    status.className = 'error';
                    status.textContent = 'Erro ao processar resposta do servidor';
                }
            };

            xhr.send(formData);
        }

        // Adicione esta fun��o para deletar APKs
        function deleteApk(filename) {
            if (confirm('Tem certeza que deseja excluir este APK?')) {
                fetch('delete_update.php', {
                        method: 'POST',
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                        },
                        body: 'filename=' + encodeURIComponent(filename)
                    })
                    .then(response => response.json())
                    .then(data => {
                        if (data.success) {
                            location.reload();
                        } else {
                            alert('Erro ao excluir: ' + data.message);
                        }
                    })
                    .catch(error => {
                        console.error('Erro:', error);
                        alert('Erro ao excluir o arquivo');
                    });
            }
        }

        // Atualiza a lista ap�s upload bem-sucedido
        function onUploadSuccess() {
            location.reload();
        }
    </script>
    <script>
        document.getElementById('saveEdit').addEventListener('click', function() {
            const form = document.getElementById('editForm');
            const nome = document.getElementById('edit_nome').value.trim();
            const pacote = document.getElementById('edit_pacote').value.trim();

            if (!nome) {
                alert('Por favor, preencha o nome do app');
                return;
            }
            if (!pacote) {
                alert('Por favor, preencha o package name');
                return;
            }

            form.submit();
        });
        // Modal de edi��o
        const editModal = new bootstrap.Modal(document.getElementById('editModal'));

        // Bot�es de edi��o
        document.querySelectorAll('.edit-app').forEach(button => {
            button.addEventListener('click', function() {
                const data = this.dataset;
                document.getElementById('edit_id').value = data.id;
                document.getElementById('edit_nome').value = data.nome;
                document.getElementById('edit_pacote').value = data.pacote;
                document.getElementById('edit_categoria').value = data.categoria;
                document.getElementById('edit_ordem').value = data.ordem;
                editModal.show();
            });
        });

        // Salvar edi��o
        document.getElementById('saveEdit').addEventListener('click', function() {
            document.getElementById('editForm').submit();
        });

        // L�gica para abrir o modal de exclus�o com o ID do item selecionado
        document.querySelectorAll('.delete-app').forEach(button => {
            button.addEventListener('click', function() {
                const id = this.dataset.id; // Obt�m o ID do app a partir do atributo data-id
                document.getElementById('delete_id').value = id; // Define o ID no campo oculto do modal

                // Abre o modal de exclus�o
                var deleteModal = new bootstrap.Modal(document.getElementById('deleteModal'));
                deleteModal.show();
            });
        });
    </script>

</body>

</html>